> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-findings-decoys-followup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Mint

> Invokes the c1.api.llm_gateway.v1.GatewayKeyService.Mint method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/llm-gateway/keys
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/llm-gateway/keys:
    post:
      tags:
        - LLM Gateway Keys
      summary: Mint
      description: Invokes the c1.api.llm_gateway.v1.GatewayKeyService.Mint method.
      operationId: c1.api.llm_gateway.v1.GatewayKeyService.Mint
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/c1.api.llm_gateway.v1.MintGatewayKeyRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.llm_gateway.v1.MintGatewayKeyResponse
          description: Successful response
components:
  schemas:
    c1.api.llm_gateway.v1.MintGatewayKeyRequest:
      description: The MintGatewayKeyRequest message.
      properties:
        displayName:
          description: The displayName field.
          type: string
      title: Mint Gateway Key Request
      type: object
      x-speakeasy-name-override: MintGatewayKeyRequest
    c1.api.llm_gateway.v1.MintGatewayKeyResponse:
      description: The MintGatewayKeyResponse message.
      properties:
        gatewayKey:
          oneOf:
            - $ref: '#/components/schemas/c1.api.llm_gateway.v1.GatewayKey'
            - type: 'null'
        plaintextKey:
          description: The plaintextKey field.
          type: string
      title: Mint Gateway Key Response
      type: object
      x-speakeasy-name-override: MintGatewayKeyResponse
    c1.api.llm_gateway.v1.GatewayKey:
      description: The GatewayKey message.
      properties:
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        displayName:
          description: The displayName field.
          type: string
        id:
          description: The id field.
          type: string
        keyPrefix:
          description: The keyPrefix field.
          type: string
        revokedAt:
          format: date-time
          type:
            - string
            - 'null'
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Gateway Key
      type: object
      x-speakeasy-name-override: GatewayKey
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````